Package org.kie.api.pmml

## Class PMMLRequestData

- java.lang.Object
- - org.kie.api.pmml.PMMLRequestData

-     public class PMMLRequestData
      extends java.lang.Object

  This class provides a vanilla mechanism for sending data to the rule engine, for use in having a PMML model applied against it

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PMMLRequestData()` |
    `PMMLRequestData​(java.lang.String correlationId)` |
    `PMMLRequestData​(java.lang.String correlationId, java.lang.String modelName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addRequestParam​(java.lang.String paramName, java.lang.Object value)` |
    `boolean` | `addRequestParam​(ParameterInfo parameter)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getCompactCapitalizedModelName()` |
    `java.lang.String` | `getCorrelationId()` |
    `java.util.Map<java.lang.String,​ParameterInfo>` | `getMappedRequestParams()` |
    `java.lang.String` | `getModelName()` |
    `java.util.Collection<ParameterInfo>` | `getRequestParams()` |
    `java.lang.String` | `getSource()` |
    `int` | `hashCode()` |
    `boolean` | `removeRequestParam​(ParameterInfo parameter)` |
    `void` | `setCorrelationId​(java.lang.String correlationId)` |
    `void` | `setModelName​(java.lang.String modelName)` |
    `void` | `setSource​(java.lang.String source)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PMMLRequestData

          public PMMLRequestData()

    - #### PMMLRequestData

          public PMMLRequestData​(java.lang.String correlationId)

    - #### PMMLRequestData

          public PMMLRequestData​(java.lang.String correlationId,
                                 java.lang.String modelName)

  - ### Method Detail

    - #### getModelName

          public java.lang.String getModelName()

    - #### getCompactCapitalizedModelName

          public java.lang.String getCompactCapitalizedModelName()

    - #### getMappedRequestParams

          public java.util.Map<java.lang.String,​ParameterInfo> getMappedRequestParams()

    - #### getRequestParams

          public java.util.Collection<ParameterInfo> getRequestParams()

    - #### addRequestParam

          public boolean addRequestParam​(ParameterInfo parameter)

    - #### removeRequestParam

          public boolean removeRequestParam​(ParameterInfo parameter)

    - #### addRequestParam

          public boolean addRequestParam​(java.lang.String paramName,
                                         java.lang.Object value)

    - #### getCorrelationId

          public java.lang.String getCorrelationId()

    - #### setCorrelationId

          public void setCorrelationId​(java.lang.String correlationId)

    - #### setModelName

          public void setModelName​(java.lang.String modelName)

    - #### getSource

          public java.lang.String getSource()

    - #### setSource

          public void setSource​(java.lang.String source)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`